# UW Computer Science Club News

2021-07-14T03:25:00-04:00
urn:uuid:bdae3752-0cb7-4932-b176-019076389b54
University of Waterloo Computer Science Club

# Join CSC for Alt-Tab, an event that consists of 10-15 minute talks by students on some interesting topics in the field of tech! Some topics that students have delivered talks on include virtual reality, pathfinding, web development, and competitive programming. The event will be hosted virtually at the end of July! Currently, we are looking for speakers for the event who are passionate about tech and want to gain some public-speaking experience. We would love to hear from everyone! Apply at https://bit.ly/csc-alt-tab-speaker-application ! Alternatively, you can also email us at exec(a)csclub.uwaterloo.ca with an outline of your topic. Application Deadline: Thursday, July 15th at 11:59pm ET.

Join CSC for Alt-Tab, an event that consists of 10-15 minute talks by students on some interesting topics in the field of tech! Some topics that students have delivered talks on include virtual reality, pathfinding, web development, and competitive programming. The event will be hosted virtually at the end of July! Currently, we are looking for speakers for the event who are passionate about tech and want to gain some public-speaking experience. We would love to hear from everyone! Apply at https://bit.ly/csc-alt-tab-speaker-application ! Alternatively, you can also email us at exec(a)csclub.uwaterloo.ca with an outline of your topic. Application Deadline: Thursday, July 15th at 11:59pm ET.
n3parikh
http://csclub.uwaterloo.ca/news/idm2
2021-07-14T03:25:00-04:00

# There will be a planned power outage in MC Saturday, July 17 from 7:00 am to 9:00 pm. Most CSC services will be unavailable during this time. CSC machines will be powered off one hour before the outage begins, at 6:00 am. Please prepare for the outage by: Ensuring all running processes have their state saved (configuration, data, etc.) Ensuring any important files are backed up off-site from the CSC

There will be a planned power outage in MC Saturday, July 17 from 7:00 am to 9:00 pm. Most CSC services will be unavailable during this time. CSC machines will be powered off one hour before the outage begins, at 6:00 am.

Please prepare for the outage by:

Ensuring all running processes have their state saved (configuration, data, etc.) Ensuring any important files are backed up off-site from the CSC

n3parikh
http://csclub.uwaterloo.ca/news/idm6
2021-07-14T03:25:00-04:00

# MathSoc has decided to waive club fees for the Spring 2021 term. If you are a current CSC member who has already paid for Spring 2021 membership, your membership has been extended by one term. If you are a current CSC member whose membership is expired for the Spring 2021 term, you can email exec@csclub.uwaterloo.ca to have your membership renewed for the term at no cost. If you are not a CSC member, but would like to become one, we continue to use the modified process we put in place in Spring 2020 making remote registrations possible: Email the CSC Systems Committee at syscom@csclub.uwaterloo.ca from your UWaterloo email address with the following: a scan or photograph copy of your WatCard, your WatIAM userid, and your acknowledgement of having read, understood, and agreeing with our Machine Usage Agreement. The club office will remained closed until further notice. Have a safe Spring term!

MathSoc has decided to waive club fees for the Spring 2021 term.

If you are a current CSC member who has already paid for Spring 2021 membership, your membership has been extended by one term. If you are a current CSC member whose membership is expired for the Spring 2021 term, you can email exec@csclub.uwaterloo.ca to have your membership renewed for the term at no cost.

If you are not a CSC member, but would like to become one, we continue to use the modified process we put in place in Spring 2020 making remote registrations possible:

Email the CSC Systems Committee at syscom@csclub.uwaterloo.ca from your UWaterloo email address with the following:

a scan or photograph copy of your WatCard, your WatIAM userid, and your acknowledgement of having read, understood, and agreeing with our Machine Usage Agreement.

The club office will remained closed until further notice. Have a safe Spring term!
n3parikh
http://csclub.uwaterloo.ca/news/idm12
2021-07-14T03:25:00-04:00

# Spring 2021 elections have concluded. Here are your executives for the term: President: Kallen Tu (k4tu) VP: Gordon Le (g2le) AVP: Ravindu Angammana (rbangamm) Treasurer: Neil Parikh (n3parikh) Sysadmin: Max Erenberg (merenber) The unfilled positions this term are: Office Manager Librarian IMAPD

Spring 2021 elections have concluded. Here are your executives for the term:

President: Kallen Tu (k4tu) VP: Gordon Le (g2le) AVP: Ravindu Angammana (rbangamm) Treasurer: Neil Parikh (n3parikh) Sysadmin: Max Erenberg (merenber)

The unfilled positions this term are:

Office Manager Librarian IMAPD

n3parikh
http://csclub.uwaterloo.ca/news/idm27
2021-07-14T03:25:00-04:00

# Due to recent events involving the Freenode IRC network, the #csc channel on Freenode has been migrated to libera.chat. If you are in the #csc channel on Freenode, please migrate to libera.chat as soon as possible. The two networks are currently being bridged temporarily to ease the transition.

Due to recent events involving the Freenode IRC network, the #csc channel on Freenode has been migrated to libera.chat. If you are in the #csc channel on Freenode, please migrate to libera.chat as soon as possible. The two networks are currently being bridged temporarily to ease the transition.

merenber
http://csclub.uwaterloo.ca/news/idm40
2021-07-14T03:25:00-04:00

# Computer Science Club systems and services will be unavailable on Saturday, May 15 due to a planned power outage in the Mathematics and Computer Building (MC) from 7am to 11am. The CSC will begin shutting down machines at 6am in preparation of the outage. Please prepare for the outage by: Ensuring all running processes have their state saved (configuration, data, etc.) Any important files are backed up off-site from the CSC If you have any questions/concerns, please email the Systems Committee.

Computer Science Club systems and services will be unavailable on Saturday, May 15 due to a planned power outage in the Mathematics and Computer Building (MC) from 7am to 11am.

The CSC will begin shutting down machines at 6am in preparation of the outage.

Please prepare for the outage by:

Ensuring all running processes have their state saved (configuration, data, etc.)

Any important files are backed up off-site from the CSC

If you have any questions/concerns, please email the Systems Committee.

merenber
http://csclub.uwaterloo.ca/news/idm43
2021-07-14T03:25:00-04:00

# Hello everyone! CSC and DSC are teaming up to bring you all a side-project event next term! Our goal with this event is to help you plan and execute an amazing side project over the course of several weeks, and we'll be releasing more details about this soon Right now, we are looking for mentors that are interested in participating! This is an amazing opportunity to gain project management, mentorship and leadership experience, all while giving back to the community of students at UW. As a mentor, you'll be tasked with helping teams of students create roadmaps of their project, setting milestones, and making sure that everyone stays on task. Additionally, if you'd like to share your technical experience and expertise, we have optional office hours where mentors can help teams debug their code! If you're interested, please sign up! You won't immediately be committing to the role; and we'll have a secondary check-in to ensure that you're familiar with the responsibilities. Sign up at http://bit.ly/uwcsc-uwdsc-mentor-signup! Alternatively, you can email us at exec@csclub.uwaterloo.ca with a short description about yourself, your experience, as well as what technical fields you're comfortable mentoring. Deadline to Sign Up: Wednesday, May 7th at 11:59pm EDT

Hello everyone! CSC and DSC are teaming up to bring you all a side-project event next term! Our goal with this event is to help you plan and execute an amazing side project over the course of several weeks, and we'll be releasing more details about this soon Right now, we are looking for mentors that are interested in participating! This is an amazing opportunity to gain project management, mentorship and leadership experience, all while giving back to the community of students at UW. As a mentor, you'll be tasked with helping teams of students create roadmaps of their project, setting milestones, and making sure that everyone stays on task. Additionally, if you'd like to share your technical experience and expertise, we have optional office hours where mentors can help teams debug their code! If you're interested, please sign up! You won't immediately be committing to the role; and we'll have a secondary check-in to ensure that you're familiar with the responsibilities. Sign up at http://bit.ly/uwcsc-uwdsc-mentor-signup! Alternatively, you can email us at exec@csclub.uwaterloo.ca with a short description about yourself, your experience, as well as what technical fields you're comfortable mentoring. Deadline to Sign Up: Wednesday, May 7th at 11:59pm EDT
n3parikh
http://csclub.uwaterloo.ca/news/idm51
2021-07-14T03:25:00-04:00

# Thank you to all the people that were able to attend our Get Involved event! As promised, we are excited to announce that we are officially accepting applications for CSC's Executive committee. The positions available for Spring 2021 term are: Event Coordinators Marketing Coordinators Discord Moderators Class Representatives Senior Frontend Developer Graphic Designers Linux Server Administrator If you're passionate about making a positive change in our community, we'd love for you to apply! You can find more information about each role at this link: http://bit.ly/uwcsclub-s21-roles! Application Deadline: Friday, April 23rd at 11:59pm EDT Apply at http://bit.ly/uwcsclub-s21-apply! Alternatively, you can email us at exec@csclub.uwaterloo.ca from your UW email with an introduction of yourself, which positions you're interested in and any questions you might have. Looking forward to reading your applications!

Thank you to all the people that were able to attend our Get Involved event! As promised, we are excited to announce that we are officially accepting applications for CSC's Executive committee. The positions available for Spring 2021 term are:

Event Coordinators Marketing Coordinators Discord Moderators Class Representatives Senior Frontend Developer Graphic Designers Linux Server Administrator

If you're passionate about making a positive change in our community, we'd love for you to apply! You can find more information about each role at this link: http://bit.ly/uwcsclub-s21-roles! Application Deadline: Friday, April 23rd at 11:59pm EDT Apply at http://bit.ly/uwcsclub-s21-apply! Alternatively, you can email us at exec@csclub.uwaterloo.ca from your UW email with an introduction of yourself, which positions you're interested in and any questions you might have. Looking forward to reading your applications!

n3parikh
http://csclub.uwaterloo.ca/news/idm60
2021-07-14T03:25:00-04:00

# As part of an ongoing series to upgrade our email services, there will be some downtime for our email system over the course of the next few weeks. This affects mail.csclub.uwaterloo.ca and mailman.csclub.uwaterloo.ca. The downtime periods will only occur late at night (EDT) and should last no more than an hour at a time. We apologize for any inconveniences this may cause. If you have any questions or concerns, please email syscom at csclub dot uwaterloo dot ca.

As part of an ongoing series to upgrade our email services, there will be some downtime for our email system over the course of the next few weeks. This affects mail.csclub.uwaterloo.ca and mailman.csclub.uwaterloo.ca. The downtime periods will only occur late at night (EDT) and should last no more than an hour at a time.

We apologize for any inconveniences this may cause. If you have any questions or concerns, please email syscom at csclub dot uwaterloo dot ca.

merenber
http://csclub.uwaterloo.ca/news/idm78
2021-07-14T03:25:00-04:00

# The CSC has updated its SpamAssassin configuration to use a site-wide Bayesian learner instead of per-user. This will hopefully reduce duplicate efforts to keep spam out of our inboxes. Unfortunately this may lead to increased false positives. See the instructions on our wiki on how to revert to the old behaviour if you wish to do so.

The CSC has updated its SpamAssassin configuration to use a site-wide Bayesian learner instead of per-user. This will hopefully reduce duplicate efforts to keep spam out of our inboxes. Unfortunately this may lead to increased false positives. See the instructions on our wiki on how to revert to the old behaviour if you wish to do so.

merenber
http://csclub.uwaterloo.ca/news/idm81
2021-07-14T03:25:00-04:00

# Computer Science Club systems and services will be unavailable on Saturday, Mar. 20 due to a planned power outage in the Mathematics and Computer Building (MC) from 7am to 5pm. The CSC will begin shutting down machines at 6am in preparation of the outage. Please prepare for the outage by: Ensuring all running processes have their state saved (configuration, data, etc.) Any important files are backed up off-site from the CSC If you have any questions/concerns, please email the Systems Committee.

Computer Science Club systems and services will be unavailable on Saturday, Mar. 20 due to a planned power outage in the Mathematics and Computer Building (MC) from 7am to 5pm.

The CSC will begin shutting down machines at 6am in preparation of the outage.

Please prepare for the outage by:

Ensuring all running processes have their state saved (configuration, data, etc.)

Any important files are backed up off-site from the CSC

If you have any questions/concerns, please email the Systems Committee.

merenber
http://csclub.uwaterloo.ca/news/idm84
2021-07-14T03:25:00-04:00

# We're gathering info about the CSC website in order to prep for a redesign. Help us out by filling out this form https://forms.gle/NNG1p4ZFHQJ4ssfc7 and giving us your opinion. We want to make sure the site is functional and useful for everyone. Alternatively, you can also email us at exec@csclub.uwaterloo.ca with the answers to your questions, available here.

We're gathering info about the CSC website in order to prep for a redesign. Help us out by filling out this form https://forms.gle/NNG1p4ZFHQJ4ssfc7 and giving us your opinion. We want to make sure the site is functional and useful for everyone.

Alternatively, you can also email us at exec@csclub.uwaterloo.ca with the answers to your questions, available here.

n3parikh
http://csclub.uwaterloo.ca/news/idm92
2021-07-14T03:25:00-04:00

# CSC now hosts its own instance of BigBlueButton at https://bbb.csclub.uwaterloo.ca, freely available for all members. BigBlueButton is a free and open source video conferencing platform. It runs directly in the browser, and includes many useful features such as multi-user whiteboards, embedded videos, and interactive polls. To get the most out of BBB, there are some tutorial videos you can watch here. If you have any questions or concerns, please email syscom. Happy video calling!

CSC now hosts its own instance of BigBlueButton at https://bbb.csclub.uwaterloo.ca, freely available for all members.

BigBlueButton is a free and open source video conferencing platform. It runs directly in the browser, and includes many useful features such as multi-user whiteboards, embedded videos, and interactive polls.

To get the most out of BBB, there are some tutorial videos you can watch here.

If you have any questions or concerns, please email syscom.

Happy video calling!

merenber
http://csclub.uwaterloo.ca/news/idm99
2021-07-14T03:25:00-04:00

# Join Computer Science Club for Alt-Tab, a lightning tech talk series presented by students. Alt-Tab consists of 10 to 15-minute talks about anything related to tech. They can be about cool new features, a fun project you made or really anything that you are excited about! We will be hosting it virtually this term late March. We are currently looking for speakers! If you're passionate about a technical topic and interested in public speaking, apply by filling out the form below. We'd LOVE to hear from you. Speakers don't need to have prior experience and Alt-Tab is a great way to get started with giving talks! Here are some topics that past talks have covered: Unicode Virtual Escape Rooms Quantum Computers GraphQL Pathfinding You can apply here: https://forms.gle/JpEsGTZK9WRbFUw46. Alternatively, you can also email us at exec@csclub.uwaterloo.ca to introduce yourself, as well as an outline of your proposed 10-15 minute talk. If you have any questions about giving a talk, feel free to reach out to us at exec@csclub.uwaterloo.ca Applications are due on Friday, March 12th 11:59pm EST Hope to see you there!

Join Computer Science Club for Alt-Tab, a lightning tech talk series presented by students. Alt-Tab consists of 10 to 15-minute talks about anything related to tech. They can be about cool new features, a fun project you made or really anything that you are excited about! We will be hosting it virtually this term late March.

We are currently looking for speakers! If you're passionate about a technical topic and interested in public speaking, apply by filling out the form below. We'd LOVE to hear from you. Speakers don't need to have prior experience and Alt-Tab is a great way to get started with giving talks!

Here are some topics that past talks have covered:

Unicode Virtual Escape Rooms Quantum Computers GraphQL Pathfinding

You can apply here: https://forms.gle/JpEsGTZK9WRbFUw46. Alternatively, you can also email us at exec@csclub.uwaterloo.ca to introduce yourself, as well as an outline of your proposed 10-15 minute talk.

If you have any questions about giving a talk, feel free to reach out to us at exec@csclub.uwaterloo.ca

Applications are due on Friday, March 12th 11:59pm EST

Hope to see you there!
n3parikh
http://csclub.uwaterloo.ca/news/idm108
2021-07-14T03:25:00-04:00

# Winter 2021 elections have concluded. Here are your executives for the term: President: Kallen Tu (k4tu) VP: Gordon Le (g2le) AVP: Nakul Vijhani (nvijhani) Treasurer: Neil Parikh (n3parikh) Sysadmin: Max Erenberg (merenber) The unfilled positions this term are: Office Manager Librarian IMAPD

Winter 2021 elections have concluded. Here are your executives for the term:

President: Kallen Tu (k4tu) VP: Gordon Le (g2le) AVP: Nakul Vijhani (nvijhani) Treasurer: Neil Parikh (n3parikh) Sysadmin: Max Erenberg (merenber)

The unfilled positions this term are:

Office Manager Librarian IMAPD

n3parikh
http://csclub.uwaterloo.ca/news/idm124
2021-07-14T03:25:00-04:00

# Due to the closure of campus this term, the Computer Science Club will be holding elections for Winter 2021 virtually. The president, vice-president, treasurer and assistant vice-president (formerly secretary) will be elected and the sysadmin will be appointed. The librarian and office manager will not be appointed, since the office will be closed for the Fall term. If you'd like to run for any of these positions, please email cro@csclub.uwaterloo.ca. Nominations will close on Wednesday, January 20 2021 at midnight EDT. If you'd like to get involved with CS Club, but don't want to run for an elected position, we are also accepting applications for roles on the Programme Committe! You can apply here: https://forms.gle/d2mTDAhf1D15Yyk27

Due to the closure of campus this term, the Computer Science Club will be holding elections for Winter 2021 virtually. The president, vice-president, treasurer and assistant vice-president (formerly secretary) will be elected and the sysadmin will be appointed. The librarian and office manager will not be appointed, since the office will be closed for the Fall term.

If you'd like to run for any of these positions, please email cro@csclub.uwaterloo.ca. Nominations will close on Wednesday, January 20 2021 at midnight EDT.

If you'd like to get involved with CS Club, but don't want to run for an elected position, we are also accepting applications for roles on the Programme Committe! You can apply here: https://forms.gle/d2mTDAhf1D15Yyk27
n3parikh
http://csclub.uwaterloo.ca/news/idm137
2021-07-14T03:25:00-04:00

# MathSoc has decided to waive club fees for the Winter 2021 term as well. If you are a current CSC member who has already paid for Winter 2021 membership, your membership has been extended by one term. If you are a current CSC member whose membership is expired for the Winter 2021 term, you can email exec@csclub.uwaterloo.ca to have your membership renewed for the term at no cost. If you are not a CSC member, but would like to become one, we continue to use the modified process we put in place in Spring 2020 making remote registrations possible: Email the CSC Systems Committee at syscom@csclub.uwaterloo.ca from your UWaterloo email address with the following: a scan or photograph copy of your WatCard, your WatIAM userid, and your acknowledgement of having read, understood, and agreeing with our Machine Usage Agreement. The club office will remained closed until further notice. Have a safe Winter term!

MathSoc has decided to waive club fees for the Winter 2021 term as well.

If you are a current CSC member who has already paid for Winter 2021 membership, your membership has been extended by one term. If you are a current CSC member whose membership is expired for the Winter 2021 term, you can email exec@csclub.uwaterloo.ca to have your membership renewed for the term at no cost.

If you are not a CSC member, but would like to become one, we continue to use the modified process we put in place in Spring 2020 making remote registrations possible:

Email the CSC Systems Committee at syscom@csclub.uwaterloo.ca from your UWaterloo email address with the following:

a scan or photograph copy of your WatCard, your WatIAM userid, and your acknowledgement of having read, understood, and agreeing with our Machine Usage Agreement.

The club office will remained closed until further notice. Have a safe Winter term!
n3parikh
http://csclub.uwaterloo.ca/news/idm142
2021-07-14T03:25:00-04:00

# Fall 2020 elections have concluded. Here are your executives for the term: President: Mokai Xu (m92xu) Vice President: Anastassia Gaikovaia (agaikova) (stepped down as of 2020-11-30) Secretary/Assistant Vice President: Edwin Yang (e37yang) Treasurer: Neil Parikh (n3parikh) Sysadmin: Murphy Berzish (mtrberzi) The unfilled positions this term are: Office Manager Librarian IMAPD

Fall 2020 elections have concluded. Here are your executives for the term:

President: Mokai Xu (m92xu) Vice President: Anastassia Gaikovaia (agaikova) (stepped down as of 2020-11-30) Secretary/Assistant Vice President: Edwin Yang (e37yang) Treasurer: Neil Parikh (n3parikh) Sysadmin: Murphy Berzish (mtrberzi)

The unfilled positions this term are:

Office Manager Librarian IMAPD

agaikova
http://csclub.uwaterloo.ca/news/idm157
2021-07-14T03:25:00-04:00

# The CSC Systems Committee announces the availability of the CSC's own installation of the ZNC IRC bouncer for CSC members at znc.csclub.uwaterloo.ca, as the second of several steps it is taking to bring modern user freedom- and privacy-respecting communication tools to CSC members. Please see the notice sent to csc-general for the complete announcement.

The CSC Systems Committee announces the availability of the CSC's own installation of the ZNC IRC bouncer for CSC members at znc.csclub.uwaterloo.ca, as the second of several steps it is taking to bring modern user freedom- and privacy-respecting communication tools to CSC members. Please see the notice sent to csc-general for the complete announcement.
abandali
http://csclub.uwaterloo.ca/news/idm170
2021-07-14T03:25:00-04:00

# MathSoc has decided to waive club fees for the Fall 2020 term as well. If you are a current CSC member who has already paid for Fall 2020 membership, your membership has been extended by one term. If you are a current CSC member whose membership is expired for the Fall 2020 term, you can email exec@csclub.uwaterloo.ca to have your membership renewed for the term at no cost. If you are not a CSC member, but would like to become one, we continue to use the modified process we put in place in Spring 2020 making remote registrations possible: Email the CSC Systems Committee at syscom@csclub.uwaterloo.ca from your UWaterloo email address with the following: a scan or photograph copy of your WatCard, your WatIAM userid, and your acknowledgement of having read, understood, and agreeing with our Machine Usage Agreement. The club office will remained closed until further notice. Have a safe Fall term!

MathSoc has decided to waive club fees for the Fall 2020 term as well.

If you are a current CSC member who has already paid for Fall 2020 membership, your membership has been extended by one term. If you are a current CSC member whose membership is expired for the Fall 2020 term, you can email exec@csclub.uwaterloo.ca to have your membership renewed for the term at no cost.

If you are not a CSC member, but would like to become one, we continue to use the modified process we put in place in Spring 2020 making remote registrations possible:

Email the CSC Systems Committee at syscom@csclub.uwaterloo.ca from your UWaterloo email address with the following:

a scan or photograph copy of your WatCard, your WatIAM userid, and your acknowledgement of having read, understood, and agreeing with our Machine Usage Agreement.

The club office will remained closed until further notice. Have a safe Fall term!
abandali
http://csclub.uwaterloo.ca/news/idm174
2021-07-14T03:25:00-04:00

# Due to the closure of campus this term, the Computer Science Club will be holding elections for Fall 2020 virtually. The president, vice-president, treasurer and assistant vice-president (formerly secretary) will be elected and the sysadmin will be ratified. The librarian and office manager will not be appointed, since the office will be closed for the Fall term. If you'd like to run for any of these positions, please email cro@csclub.uwaterloo.ca. Nominations will close on Saturday, September 19 2020 at midnight EDT.

Due to the closure of campus this term, the Computer Science Club will be holding elections for Fall 2020 virtually. The president, vice-president, treasurer and assistant vice-president (formerly secretary) will be elected and the sysadmin will be ratified. The librarian and office manager will not be appointed, since the office will be closed for the Fall term.

If you'd like to run for any of these positions, please email cro@csclub.uwaterloo.ca. Nominations will close on Saturday, September 19 2020 at midnight EDT.
agaikova
http://csclub.uwaterloo.ca/news/idm189
2021-07-14T03:25:00-04:00

# The CSC Systems Committee announces the availability of a new web IRC client for CSC members at chat.csclub.uwaterloo.ca, as the first of several steps it is taking to bring modern user freedom- and privacy-respecting communication tools to CSC members. Please see the notice sent to csc-general for the complete announcement.

The CSC Systems Committee announces the availability of a new web IRC client for CSC members at chat.csclub.uwaterloo.ca, as the first of several steps it is taking to bring modern user freedom- and privacy-respecting communication tools to CSC members. Please see the notice sent to csc-general for the complete announcement.
abandali
http://csclub.uwaterloo.ca/news/idm193
2021-07-14T03:25:00-04:00

# Spring 2020 elections have concluded. Here are your executives for the term: President: Neil Parikh (n3parikh) Vice President: Anastassia Gaikovaia (agaikova) Sysadmin: Amin Bandali (abandali) The unfilled positions this term are: Treasurer Secretary/Assistant Vice President Office Manager Librarian IMAPD

Spring 2020 elections have concluded. Here are your executives for the term:

President: Neil Parikh (n3parikh) Vice President: Anastassia Gaikovaia (agaikova) Sysadmin: Amin Bandali (abandali)

The unfilled positions this term are:

Treasurer Secretary/Assistant Vice President Office Manager Librarian IMAPD

abandali
http://csclub.uwaterloo.ca/news/idm197
2021-07-14T03:25:00-04:00

# The Systems Committee has been informed of a planned power outage in the Math & Computer Building (MC) on Thursday, May 28 from 10am to 12pm (noon) EDT. Club systems and services will be unavialble starting at 8am EDT. See the announcement sent to csc-general for more information.

The Systems Committee has been informed of a planned power outage in the Math & Computer Building (MC) on Thursday, May 28 from 10am to 12pm (noon) EDT. Club systems and services will be unavialble starting at 8am EDT. See the announcement sent to csc-general for more information.
ztseguin
http://csclub.uwaterloo.ca/news/idm210
2021-07-14T03:25:00-04:00

# Due to the closure of campus this term, the Computer Science Club will be holding elections for Spring 2020 virtually. The president, vice-president, treasurer and assistant vice-president (formerly secretary) will be elected and the sysadmin will be ratified. The librarian and office manager will not be appointed, since the office will be closed for the Spring term. If you'd like to run for any of these positions, please email cro@csclub.uwaterloo.ca. Nominations will close on Wednesday, May 20 2020 at midnight EDT.

Due to the closure of campus this term, the Computer Science Club will be holding elections for Spring 2020 virtually. The president, vice-president, treasurer and assistant vice-president (formerly secretary) will be elected and the sysadmin will be ratified. The librarian and office manager will not be appointed, since the office will be closed for the Spring term.

If you'd like to run for any of these positions, please email cro@csclub.uwaterloo.ca. Nominations will close on Wednesday, May 20 2020 at midnight EDT.
n3parikh
http://csclub.uwaterloo.ca/news/idm213
2021-07-14T03:25:00-04:00

# Due to campus closure, MathSoc has decided not collect fees for the Spring 2020 term. If you are a current CSC member who has already paid for Spring 2020 membership, your membership has been extended by one term. If you are a current CSC member whose membership is expired for the Spring 2020 term, you can email exec@csclub.uwaterloo.ca to have your membership renewed for the term at no cost. If you are not a CSC member, but would like to become one, we have put in place a modified process for remote registration. Email syscom@csclub.uwaterloo.ca from your UWaterloo email address with the following: a scan or photograph copy of your WatCard, your WatIAM userid, and your acknowledgement of having read, understood, and agreeing with our Machine Usage Agreement. The club office will remained closed until further notice. Have a safe Spring term!

Due to campus closure, MathSoc has decided not collect fees for the Spring 2020 term.

If you are a current CSC member who has already paid for Spring 2020 membership, your membership has been extended by one term. If you are a current CSC member whose membership is expired for the Spring 2020 term, you can email exec@csclub.uwaterloo.ca to have your membership renewed for the term at no cost.

If you are not a CSC member, but would like to become one, we have put in place a modified process for remote registration.

Email syscom@csclub.uwaterloo.ca from your UWaterloo email address with the following:

a scan or photograph copy of your WatCard, your WatIAM userid, and your acknowledgement of having read, understood, and agreeing with our Machine Usage Agreement.

The club office will remained closed until further notice. Have a safe Spring term!
n3parikh
http://csclub.uwaterloo.ca/news/idm216
2021-07-14T03:25:00-04:00

# The University has closed all campus buildings, so the club office is now closed until further notice. Have a safe Spring term, and hopefully we'll see you back in the office soon!

The University has closed all campus buildings, so the club office is now closed until further notice.

Have a safe Spring term, and hopefully we'll see you back in the office soon!
n3parikh
http://csclub.uwaterloo.ca/news/idm231
2021-07-14T03:25:00-04:00

# Winter 2020 elections have concluded. Here are your executives for the term. President: Richard Shi (r27shi) Vice President: Anastassia Gaikovaia (agaikova) Treasurer: Alex Tomala (actomala) Secretary/Assistant Vice President: Neil Parikh (n3parikh) Sysadmin: Amin Bandali (abandali) The remaining appointed positions are Office Manager: Alexander Zvorygin (azvorygi) Librarian: Anastassia Gaikovaia (agaikova) IMAPD: Richard Shi (r27shi)

Winter 2020 elections have concluded. Here are your executives for the term.

President: Richard Shi (r27shi) Vice President: Anastassia Gaikovaia (agaikova) Treasurer: Alex Tomala (actomala) Secretary/Assistant Vice President: Neil Parikh (n3parikh) Sysadmin: Amin Bandali (abandali)

The remaining appointed positions are

Office Manager: Alexander Zvorygin (azvorygi) Librarian: Anastassia Gaikovaia (agaikova) IMAPD: Richard Shi (r27shi)

n3parikh
http://csclub.uwaterloo.ca/news/idm234
2021-07-14T03:25:00-04:00

# Fall 2019 elections have concluded. Here are your executives for the term. President: Dhruv Jauhar (djauhar) Vice President: Aditya Thakral (a3thakra) Treasurer: Rishabh Minocha (rkminoch) Secretary/Assistant Vice President: Tammy Khalaf (tekhalaf) Sysadmin: Murphy Berzish (mtrberzi) The remaining appointed positions are Office Manager: Zihan Zhang (z577zhan) Librarian: Raghav Sethi (r5sethi)

Fall 2019 elections have concluded. Here are your executives for the term.

President: Dhruv Jauhar (djauhar) Vice President: Aditya Thakral (a3thakra) Treasurer: Rishabh Minocha (rkminoch) Secretary/Assistant Vice President: Tammy Khalaf (tekhalaf) Sysadmin: Murphy Berzish (mtrberzi)

The remaining appointed positions are

Office Manager: Zihan Zhang (z577zhan) Librarian: Raghav Sethi (r5sethi)

mtrberzi
http://csclub.uwaterloo.ca/news/idm246
2021-07-14T03:25:00-04:00

# On August 21st, we were informed that sometime before 2:30PM EDT taurine caught fire. As a result, it is currently unavailable and is expected to remain so permanently. See the Machine List for alternate general use servers.

On August 21st, we were informed that sometime before 2:30PM EDT taurine caught fire. As a result, it is currently unavailable and is expected to remain so permanently.

See the Machine List for alternate general use servers.

ztseguin
http://csclub.uwaterloo.ca/news/idm257
2021-07-14T03:25:00-04:00

# There will be a power outage on campus from 7:00 am until 9:00 pm on Sunday, August 18th (EDT). To prepare for this outage, all Computer Science Club servers will be down starting at 11:00 PM on Saturday, August 17th. This includes web hosting, CSC Cloud, email, and mirror. Please make sure you save all of your work before then, and we also recommend backing up your files just in case. See also the notice from Plant Ops.

There will be a power outage on campus from 7:00 am until 9:00 pm on Sunday, August 18th (EDT). To prepare for this outage, all Computer Science Club servers will be down starting at 11:00 PM on Saturday, August 17th. This includes web hosting, CSC Cloud, email, and mirror. Please make sure you save all of your work before then, and we also recommend backing up your files just in case.

See also the notice from Plant Ops.

s455wang
http://csclub.uwaterloo.ca/news/idm261
2021-07-14T03:25:00-04:00

# Spring 2019 elections have concluded. Here are your executives for the term. President: Uday Barar (ubarar) Vice President: Rajat Malhotra (r24malho) Treasurer: Raghav Sethi (r5sethi) Secretary/Assistant Vice President: Bo Mo (bzmo) Sysadmin: Charlie Wang (s455wang) The remaining appointed positions are Office Manager: Hannah Wong (sm7wong) Librarian: Nolan Munce (nmmunce)

Spring 2019 elections have concluded. Here are your executives for the term.

President: Uday Barar (ubarar) Vice President: Rajat Malhotra (r24malho) Treasurer: Raghav Sethi (r5sethi) Secretary/Assistant Vice President: Bo Mo (bzmo) Sysadmin: Charlie Wang (s455wang)

The remaining appointed positions are

Office Manager: Hannah Wong (sm7wong) Librarian: Nolan Munce (nmmunce)

s455wang
http://csclub.uwaterloo.ca/news/idm265
2021-07-14T03:25:00-04:00

# There will be scheduled downtime for maintenance on many Computer Science Club servers on Thursday, February 21 beginning at 9:45 AM. Machines are expected to be up by 11:30 AM, but issues may arise that require more time to correct. The list of affected public servers is: taurine sucrose corn-syrup high-fructose-corn-syrup (hfcs) caffeine During this time, CSC email will be inaccessible but mail will be queued up and delivered after the maintenance period is over. All websites hosted by CSC will be inaccessible for a short period of time as caffeine is rebooted. CSC Cloud will also be unavailable, and any virtual machines on CSC cloud will have to be manually restarted after the maintenance window. Apologies for the inconvenience.

There will be scheduled downtime for maintenance on many Computer Science Club servers on Thursday, February 21 beginning at 9:45 AM. Machines are expected to be up by 11:30 AM, but issues may arise that require more time to correct.

The list of affected public servers is:

taurine sucrose corn-syrup high-fructose-corn-syrup (hfcs) caffeine

During this time, CSC email will be inaccessible but mail will be queued up and delivered after the maintenance period is over. All websites hosted by CSC will be inaccessible for a short period of time as caffeine is rebooted. CSC Cloud will also be unavailable, and any virtual machines on CSC cloud will have to be manually restarted after the maintenance window.

Apologies for the inconvenience.
a3thakra
http://csclub.uwaterloo.ca/news/idm276
2021-07-14T03:25:00-04:00

# The remaining positions have been appointed: Office Manager: Archer Zhang (z577zhan) Librarian: Rishabh Minocha (rkminoch) IMAPD/Pop: Marc Mailhot (mnmailho)

The remaining positions have been appointed:

Office Manager: Archer Zhang (z577zhan) Librarian: Rishabh Minocha (rkminoch) IMAPD/Pop: Marc Mailhot (mnmailho)

a3thakra
http://csclub.uwaterloo.ca/news/idm288
2021-07-14T03:25:00-04:00

# Here are the results from this term's elections: President: Marc Mailhot (mnmailho) Vice-President: Victor Brestoiu (vabresto) Treasurer: Tristan Hume (tghume) Assistant Vice President: Aditya Thakral (a3thakra) Systems Administrator: Charlie Wang (s455wang) The rest of the positions will be appointed at a later date.

Here are the results from this term's elections:

President: Marc Mailhot (mnmailho) Vice-President: Victor Brestoiu (vabresto) Treasurer: Tristan Hume (tghume) Assistant Vice President: Aditya Thakral (a3thakra) Systems Administrator: Charlie Wang (s455wang)

The rest of the positions will be appointed at a later date.
a3thakra
http://csclub.uwaterloo.ca/news/idm294
2021-07-14T03:25:00-04:00

# CSC will be hosting Alt-Tab, a slightly longer version of lightning talks. It will be a night full of friendly talks during the week of November 26. We need talks! Contact exec@csclub.uwaterloo.ca, with your tentative talk title and a short abstract if you would like to give a talk. Slides are not required. Please aim for a 10-15 minute talk. I'll send an email with the list of talks closer to the date of the event. Please send titles and abstract by November 19th. Here are some topics that our members have presented before. The titles make them seem more technical than they actually were. Overview of SAT solvers Communication complexity Register allocation in compilers as graph colouring Web application security PXE booting UI and UX Train signalling and sensing Typed Racket Modern GPU architecture The comment that took Stack Exchange down and the algorithm that could have saved them Register Allocation With Graphs There will be food.

CSC will be hosting Alt-Tab, a slightly longer version of lightning talks. It will be a night full of friendly talks during the week of November 26.

We need talks! Contact exec@csclub.uwaterloo.ca, with your tentative talk title and a short abstract if you would like to give a talk. Slides are not required. Please aim for a 10-15 minute talk. I'll send an email with the list of talks closer to the date of the event. Please send titles and abstract by November 19th.

Here are some topics that our members have presented before. The titles make them seem more technical than they actually were.

Overview of SAT solvers Communication complexity Register allocation in compilers as graph colouring Web application security PXE booting UI and UX Train signalling and sensing Typed Racket Modern GPU architecture The comment that took Stack Exchange down and the algorithm that could have saved them Register Allocation With Graphs

There will be food.
n3parikh
http://csclub.uwaterloo.ca/news/idm303
2021-07-14T03:25:00-04:00

# We have been informed of a planned power outage that will affect CSC equipment on Oct. 9 at 11pm until Oct. 10 at 5am. During this time, all CSC systems and services will be unavailable. Please ensure that you have saved all work before then and that you have a backup of any important files. We expect that most services will recover automatically once power is restored, however anything requiring manual intervention will be restored later in the day. If you have any questions or concerns, please contact the Systems Committee by email at syscom@csclub.uwaterloo.ca.

We have been informed of a planned power outage that will affect CSC equipment on Oct. 9 at 11pm until Oct. 10 at 5am. During this time, all CSC systems and services will be unavailable. Please ensure that you have saved all work before then and that you have a backup of any important files. We expect that most services will recover automatically once power is restored, however anything requiring manual intervention will be restored later in the day. If you have any questions or concerns, please contact the Systems Committee by email at syscom@csclub.uwaterloo.ca.
ztseguin
http://csclub.uwaterloo.ca/news/idm321
2021-07-14T03:25:00-04:00

# Here are the results from this term's elections: President: Zichuan Wei (z34wei) Vice-President: Uday Barar (ubarar) Treasurer: Alex Tomala (actomala) Assistant Vice-President: Neil Parikh (n3parikh) Additionally, the following positions were appointed: Systems Administrator: Jennifer Zhou (c7zou) Office Manager: Alexander Zvorygin (azvorygi) Librarian: Neil Parikh (n3parikh)

Here are the results from this term's elections:

President: Zichuan Wei (z34wei) Vice-President: Uday Barar (ubarar) Treasurer: Alex Tomala (actomala) Assistant Vice-President: Neil Parikh (n3parikh)

Additionally, the following positions were appointed:

Systems Administrator: Jennifer Zhou (c7zou) Office Manager: Alexander Zvorygin (azvorygi) Librarian: Neil Parikh (n3parikh)

n3parikh
http://csclub.uwaterloo.ca/news/idm327
2021-07-14T03:25:00-04:00

# Nominations for the Fall 2018 exec are open. You can nominate candidates for President, Vice President, Assistant Vice President, or Treasurer by submitting their name, username, and position to the ballot box in the CSC, or by emailing cro@csclub.uwaterloo.ca with their name and position(s). Nominations close Monday, September 17th. Elections will be held Tuesday, September 18th in the Comfy Lounge at 6:30PM. All CSC members that have paid Mathsoc fees are invited to come by and vote. Nominations are listed here.

Nominations for the Fall 2018 exec are open. You can nominate candidates for President, Vice President, Assistant Vice President, or Treasurer by submitting their name, username, and position to the ballot box in the CSC, or by emailing cro@csclub.uwaterloo.ca with their name and position(s). Nominations close Monday, September 17th.

Elections will be held Tuesday, September 18th in the Comfy Lounge at 6:30PM. All CSC members that have paid Mathsoc fees are invited to come by and vote.

Nominations are listed here.

c7zou
http://csclub.uwaterloo.ca/news/idm339
2021-07-14T03:25:00-04:00

# Power has now been restored to the machine room and most CSC systems and services are now available, with the exception of: sucrose and taurine We are currently unable to access to servers remotely. To restore these servers, we need a visit to the machine room to identify and resolve boot issues. As of Sept. 5, taurine is available again with reduced RAM. test-ipv6 (restored as of Sept. 2) Currently available from within the UW network only. Investigation is still ongoing and may require assistance from IST's security team. If you experience any issues accessing CSC services, please contact the Systems Committee.

Power has now been restored to the machine room and most CSC systems and services are now available, with the exception of:

sucrose and taurine

We are currently unable to access to servers remotely. To restore these servers, we need a visit to the machine room to identify and resolve boot issues.

As of Sept. 5, taurine is available again with reduced RAM.

test-ipv6 (restored as of Sept. 2)

Currently available from within the UW network only. Investigation is still ongoing and may require assistance from IST's security team.

If you experience any issues accessing CSC services, please contact the Systems Committee.

ztseguin
http://csclub.uwaterloo.ca/news/idm345
2021-07-14T03:25:00-04:00

# While power has been restored to the Math & Computer Building (MC), power is not yet available in the machine room. As a result, most CSC services are still unavailable at this time. The current estimate for power is Saturday, Sept. 1. Currently, due to machines located in other buildings and emergency generator power to select machines in MC, the following services are currently available: Mirror Mail (Webmail, SMTP and IMAP Caffeine (including web hosting) Once power is restored to the machine room, the Systems Committee will continue restoring remaining services.

While power has been restored to the Math & Computer Building (MC), power is not yet available in the machine room. As a result, most CSC services are still unavailable at this time. The current estimate for power is Saturday, Sept. 1. Currently, due to machines located in other buildings and emergency generator power to select machines in MC, the following services are currently available:

Mirror Mail (Webmail, SMTP and IMAP Caffeine (including web hosting)

Once power is restored to the machine room, the Systems Committee will continue restoring remaining services.
ztseguin
http://csclub.uwaterloo.ca/news/idm359
2021-07-14T03:25:00-04:00

# The Systems Committee has been informed of a planned power outage in the Math & Computer Building (MC) Tuesday, August 21 to Thursday, August 30. Systems will be unavailable starting Sunday, August 19 at 12pm EDT and are expected to be restored on Thursday, August 30. We expect that our Open Source Software mirror be available during the outage. See the notice sent to csc-general for more information. Please contact the Systems Committee if you have any questions. Updated on 2018-07-19 as the outage time was extended. Updated on 2018-08-02 with additional information and extended outage time.

The Systems Committee has been informed of a planned power outage in the Math & Computer Building (MC) Tuesday, August 21 to Thursday, August 30. Systems will be unavailable starting Sunday, August 19 at 12pm EDT and are expected to be restored on Thursday, August 30. We expect that our Open Source Software mirror be available during the outage. See the

notice sent to csc-general for more information. Please contact the

Systems Committee

if you have any questions. Updated on 2018-07-19 as the outage time was extended. Updated on 2018-08-02 with additional information and extended outage time.
ztseguin
http://csclub.uwaterloo.ca/news/idm370
2021-07-14T03:25:00-04:00

# Here are the results from this term's elections: President: Melissa Tedesco (matedesc) Vice-President: Dhruv Jauhar (djauhar) Treasurer: Tristan Hume (tghume) Secretary: Marc Mailhot (mnmailho) Additionally, the following positions were appointed: Systems Administrator: Jennifer Zhou (c7zou) Office Manager: Aditya Thakral (a3thakra) Librarian: Archer Zhang (z577zhan) Fridge Regent: Marc Mailhot (mnmailho)

Here are the results from this term's elections:

President: Melissa Tedesco (matedesc) Vice-President: Dhruv Jauhar (djauhar) Treasurer: Tristan Hume (tghume) Secretary: Marc Mailhot (mnmailho)

Additionally, the following positions were appointed:

Systems Administrator: Jennifer Zhou (c7zou) Office Manager: Aditya Thakral (a3thakra) Librarian: Archer Zhang (z577zhan) Fridge Regent: Marc Mailhot (mnmailho)

mnmailho
http://csclub.uwaterloo.ca/news/idm382
2021-07-14T03:25:00-04:00

# Here are the nominations for the Spring 2018 elections: President: Melissa (matedesc), Haoran (h594wang) VP: Dhruv (djauhar), Haoran (h594wang) Secretary: Dhruv (djauhar), Marc (mnmailho) Treasurer: Tristan (tghume) Additionally, the following people have expressed interest in appointed positions: Office Manager: Aditya (a3thakra), Archer (z577zhan), Haoran (h594wang), Yash (y2mathur) Librarian: Aditya (a3thakra), Archer (z577zhan), Anamaya (agarodia) Pop/Fridge Regent: Marc (mnmailho) Sysadmin: Jennifer (c7zou)

Here are the nominations for the Spring 2018 elections:

President: Melissa (matedesc), Haoran (h594wang) VP: Dhruv (djauhar), Haoran (h594wang) Secretary: Dhruv (djauhar), Marc (mnmailho) Treasurer: Tristan (tghume)

Additionally, the following people have expressed interest in appointed positions:

Office Manager: Aditya (a3thakra), Archer (z577zhan), Haoran (h594wang), Yash (y2mathur) Librarian: Aditya (a3thakra), Archer (z577zhan), Anamaya (agarodia) Pop/Fridge Regent: Marc (mnmailho) Sysadmin: Jennifer (c7zou)

pj2melan
http://csclub.uwaterloo.ca/news/idm395
2021-07-14T03:25:00-04:00

# The winner of the uncode party is Jennifer Zhou! For a sorting algorithm that works by emailing our VP for each decision. Again, congratulations on somehow winning an event that even the organizers wouldn't know there was going to be a winner at!

The winner of the uncode party is Jennifer Zhou! For a sorting algorithm that works by emailing our VP for each decision.

Again, congratulations on somehow winning an event that even the organizers wouldn't know there was going to be a winner at!
pj2melan
http://csclub.uwaterloo.ca/news/idm408
2021-07-14T03:25:00-04:00

# Here are the results from this term's elections: President: fbauckho (Felix Bauckholt) Vice-President: z34wei (Zichuan Wei) Treasurer: lhsong (Laura Song) Secretary: bzmo (Bo Mo) Additionally, the following positions were appointed: Systems Administrator: ztseguin (Zachary Seguin) Office Manager: ubarar (Uday Barar) Librarian: pj2melan (Patrick Melanson) Imapd: ubarar (Uday Barar)

Here are the results from this term's elections:

President: fbauckho (Felix Bauckholt) Vice-President: z34wei (Zichuan Wei) Treasurer: lhsong (Laura Song) Secretary: bzmo (Bo Mo)

Additionally, the following positions were appointed:

Systems Administrator: ztseguin (Zachary Seguin) Office Manager: ubarar (Uday Barar) Librarian: pj2melan (Patrick Melanson) Imapd: ubarar (Uday Barar)

ztseguin
http://csclub.uwaterloo.ca/news/idm411
2021-07-14T03:25:00-04:00

# Here are the results from this term's elections: President: wyscheung (Wilson Cheung) Vice-President: tghume (Tristan Hume) Treasurer: jxpryde (Jordan Pryde) Secretary: aafata (Amir Fata) Additionally, the following positions were appointed: Systems Administrator: ztseguin (Zachary Seguin) Office Manager: fbauckho (Felix Bauckholt) Librarian: csfmurph (Connor Murphy) Imapd: ischtche (Ilia Chtcherbakov) We also amended our constitution to revise our Code of Conduct. The updated Code of Conduct can be found at https://csclub.uwaterloo.ca/about/code-of-conduct.

Here are the results from this term's elections:

President: wyscheung (Wilson Cheung) Vice-President: tghume (Tristan Hume) Treasurer: jxpryde (Jordan Pryde) Secretary: aafata (Amir Fata)

Additionally, the following positions were appointed:

Systems Administrator: ztseguin (Zachary Seguin) Office Manager: fbauckho (Felix Bauckholt) Librarian: csfmurph (Connor Murphy) Imapd: ischtche (Ilia Chtcherbakov)

We also amended our constitution to revise our Code of Conduct. The updated Code of Conduct can be found at https://csclub.uwaterloo.ca/about/code-of-conduct.

b2coutts
http://csclub.uwaterloo.ca/news/idm424
2021-07-14T03:25:00-04:00

# Due to a planned power outage in the Mathematics & Computer Building on Sat. Nov 26 from 7am to 5pm, Computer Science Club systems and services will be unavailable. It is expected that our Open Source Software mirror (mirror.csclub.uwaterloo.ca) remain available during the outage. This is made possible with assistance from the Computer Science Computing Facility (CSCF).

Due to a planned power outage in the Mathematics & Computer Building on Sat. Nov 26 from 7am to 5pm, Computer Science Club systems and services will be unavailable. It is expected that our Open Source Software mirror (mirror.csclub.uwaterloo.ca) remain available during the outage. This is made possible with assistance from the Computer Science Computing Facility (CSCF).
ztseguin
http://csclub.uwaterloo.ca/news/idm438
2021-07-14T03:25:00-04:00

# The Code of Conduct and the amended version can be found below: Proposed CoC Diff between current and proposed CoC

The Code of Conduct and the amended version can be found below:

Proposed CoC Diff between current and proposed CoC

ubarar
http://csclub.uwaterloo.ca/news/idm442
2021-07-14T03:25:00-04:00

# Due to a planned power outage in the Mathematics & Computer Building on Sat. Oct 22 from 7am to 11pm, Computer Science Club systems and services will be unavailable. It is expected that our Open Source Software mirror (mirror.csclub.uwaterloo.ca) remain available during the outage. This is made possible with assistance from the Computer Science Computing Facility (CSCF).

Due to a planned power outage in the Mathematics & Computer Building on Sat. Oct 22 from 7am to 11pm, Computer Science Club systems and services will be unavailable. It is expected that our Open Source Software mirror (mirror.csclub.uwaterloo.ca) remain available during the outage. This is made possible with assistance from the Computer Science Computing Facility (CSCF).
ztseguin
http://csclub.uwaterloo.ca/news/idm449
2021-07-14T03:25:00-04:00

# Here are the results from this term's elections: President: s455wang (Charlie Wang) Vice-President: b2coutts (Bryan Coutts) Treasurer: lhsong (Laura Song) Secretary: ubarar (Uday Barar) Additionally, the following positions were appointed: Systems Administrator: ztseguin (Zachary Seguin) Office Manager: j2sinn (James Sinn) Librarian: fbauckho (Felix Bauckholt) Imapd: ischtche (Ilia Chtcherbakov)

Here are the results from this term's elections:

President: s455wang (Charlie Wang) Vice-President: b2coutts (Bryan Coutts) Treasurer: lhsong (Laura Song) Secretary: ubarar (Uday Barar)

Additionally, the following positions were appointed:

Systems Administrator: ztseguin (Zachary Seguin) Office Manager: j2sinn (James Sinn) Librarian: fbauckho (Felix Bauckholt) Imapd: ischtche (Ilia Chtcherbakov)

ztseguin
http://csclub.uwaterloo.ca/news/idm453
2021-07-14T03:25:00-04:00

# Elections for Spring 2016 have concluded. The following people were elected and ratified: President: Luqman Aden (laden) Vice-president: Melissa Tedesco (matedesc) Treasurer: Jon Bailey (jj2baile) Secretary: Aditya Shivam Askothar (askothar) SysAdmin: Jordan Xavier Pryde (jxpryde) Office Manager: Zachary Seguin (ztseguin) Librarian: Charlie Wang (s455wang) Fridge Regent: Marc Mailhot (mnmailho)

Elections for Spring 2016 have concluded. The following people were elected and ratified:

President: Luqman Aden (laden) Vice-president: Melissa Tedesco (matedesc) Treasurer: Jon Bailey (jj2baile) Secretary: Aditya Shivam Askothar (askothar) SysAdmin: Jordan Xavier Pryde (jxpryde) Office Manager: Zachary Seguin (ztseguin) Librarian: Charlie Wang (s455wang) Fridge Regent: Marc Mailhot (mnmailho)

pj2melan
http://csclub.uwaterloo.ca/news/idm466
2021-07-14T03:25:00-04:00

# Many of the Computer Science Club's systems and services will be unavailable for maintenance on Wednesday, February 17 from 11am to 5pm. See the announcement for more information.

Many of the Computer Science Club's systems and services will be unavailable for maintenance on Wednesday, February 17 from 11am to 5pm. See the announcement for more information.
ztseguin
http://csclub.uwaterloo.ca/news/idm485
2021-07-14T03:25:00-04:00

# The Computer Science Club Mirror is now running on potassium-benzoate, our new server which was purchased with funding from the Mathematics Endowment Fund (MEF). We have also enhanced our mirror's network connectivity, adding IPv6 and 10Gbps. Running our mirror is made possible with assistance from: The Mathematics Endowment Fund (MEF) The Mathematics Society (MathSoc) Dave Gawley and the Computer Science Computing Facility (CSCF) Information Systems Technology (IST)

The Computer Science Club Mirror is now running on potassium-benzoate, our new server which was purchased with funding from the Mathematics Endowment Fund (MEF). We have also enhanced our mirror's network connectivity, adding IPv6 and 10Gbps.

Running our mirror is made possible with assistance from:

The Mathematics Endowment Fund (MEF) The Mathematics Society (MathSoc) Dave Gawley and the Computer Science Computing Facility (CSCF) Information Systems Technology (IST)

ztseguin
http://csclub.uwaterloo.ca/news/idm489
2021-07-14T03:25:00-04:00

# Elections for Winter 2016 have concluded. The following people were elected: President: Patrick Melanson (pj2melan) Vice-president: Patrick Melanson (pj2melan) Acting Vice-president: Theo Belaire (tbelaire) Treasurer: Luqman Aden (laden) Secretary: Naomi Koo (m3koo) SysAdmin: Zachary Seguin (ztseguin) Office Manager: Reila Zheng (wy2zheng) Librarian: Felix Bauckholt (fbauckho) Fridge Regent: Marc Mailhot (mnmailho)

Elections for Winter 2016 have concluded. The following people were elected:

President: Patrick Melanson (pj2melan) Vice-president: Patrick Melanson (pj2melan) Acting Vice-president: Theo Belaire (tbelaire) Treasurer: Luqman Aden (laden) Secretary: Naomi Koo (m3koo) SysAdmin: Zachary Seguin (ztseguin) Office Manager: Reila Zheng (wy2zheng) Librarian: Felix Bauckholt (fbauckho) Fridge Regent: Marc Mailhot (mnmailho)

pj2melan
http://csclub.uwaterloo.ca/news/idm503
2021-07-14T03:25:00-04:00

# By-Elections for Spring 2015 have concluded. The following people were elected: Secretary: Keri Warr (kpwarr) Treasurer: Jonathan Bailey (jj2baile) In addition, the following people were appointed to non-elected positions: Librarian: Yomna Nasser (ynasser) Office Manager: Ilia Sergei Chtcherbakov (ischtche) SysAdmin: Nicholas Black (nablack)

By-Elections for Spring 2015 have concluded. The following people were elected:

Secretary: Keri Warr (kpwarr) Treasurer: Jonathan Bailey (jj2baile)

In addition, the following people were appointed to non-elected positions:

Librarian: Yomna Nasser (ynasser) Office Manager: Ilia Sergei Chtcherbakov (ischtche) SysAdmin: Nicholas Black (nablack)

kpwarr
http://csclub.uwaterloo.ca/news/idm524
2021-07-14T03:25:00-04:00

# Elections for Spring 2015 have concluded. The following people were elected: President: Luqman Aden (laden) Vice-president: Patrick Melanson (pj2melan)

Elections for Spring 2015 have concluded. The following people were elected:

President: Luqman Aden (laden) Vice-president: Patrick Melanson (pj2melan)

glgambet
http://csclub.uwaterloo.ca/news/idm539
2021-07-14T03:25:00-04:00

# The Computer Science Club adopted the proposed Code of Conduct (with amendments). The complete code of conduct can be found here: https://csclub.uwaterloo.ca/about/code-of-conduct

The Computer Science Club adopted the proposed Code of Conduct (with amendments). The complete code of conduct can be found here:

https://csclub.uwaterloo.ca/about/code-of-conduct

glgambet
http://csclub.uwaterloo.ca/news/idm546
2021-07-14T03:25:00-04:00

# There will be a general meeting on March 27th to discuss constitution amendments and the institution of a Code of Conduct. The full diff can be found here: https://csclub.uwaterloo.ca/~glgambet/csc/coc-constitution.patch, and the proposed Code of Conduct here: https://csclub.uwaterloo.ca/~glgambet/csc/about/code-of-conduct.

There will be a general meeting on March 27th to discuss constitution amendments and the institution of a Code of Conduct. The full diff can be found here:

https://csclub.uwaterloo.ca/~glgambet/csc/coc-constitution.patch, and the proposed Code of Conduct here:

https://csclub.uwaterloo.ca/~glgambet/csc/about/code-of-conduct.

glgambet
http://csclub.uwaterloo.ca/news/idm549
2021-07-14T03:25:00-04:00

# Elections for Winter 2015 have concluded. The following people were elected: President: Gianni Gambetti (glgambet) Vice-president: Luke Franceschini (l3france) Treasurer: Edward Lee (e45lee) Secretary: Patrick Melanson (pj2melan) The following people were appointed: Sysadmin: Murphy Berzish (mtrberzi) Office Manager: Shikhar Singh (s285sing) Librarian: Aishwarya Gupta (a72gupta)

Elections for Winter 2015 have concluded. The following people were elected:

President: Gianni Gambetti (glgambet) Vice-president: Luke Franceschini (l3france) Treasurer: Edward Lee (e45lee) Secretary: Patrick Melanson (pj2melan)

The following people were appointed:

Sysadmin: Murphy Berzish (mtrberzi) Office Manager: Shikhar Singh (s285sing) Librarian: Aishwarya Gupta (a72gupta)

yj7kim
http://csclub.uwaterloo.ca/news/idm554
2021-07-14T03:25:00-04:00

# We are waxing the office floors on the evening of November 5th. You can come out for 7pm to help move anything on the floor out of the office.

We are waxing the office floors on the evening of November 5th. You can come out for 7pm to help move anything on the floor out of the office.

glgambet
http://csclub.uwaterloo.ca/news/idm573
2021-07-14T03:25:00-04:00

# Our free software mirror is currently down due to maintenance and multiple disk failure on the backup. We are working on bringing up a replacement. We do not have an ETA at this time for when service will be restored. Apologies for any inconvenience.

Our free software mirror is currently down due to maintenance and multiple disk failure on the backup. We are working on bringing up a replacement. We do not have an ETA at this time for when service will be restored. Apologies for any inconvenience.

scshunt
http://csclub.uwaterloo.ca/news/idm575
2021-07-14T03:25:00-04:00

# Elections for Fall 2014 have concluded. The following people were elected: President: Jinny Kim (yj7kim) Vice-president: Theo Belaire (tbelaire) Treasurer: Jonathan Bailey (jj2baile) Secretary: Shane Creighton-Young (srcreigh) The following people were appointed: Sysadmin: Sean Hunt (scshunt) Office Manager: Mark Farrell (m4farrel) Librarian: Gianni Gambetti (glgambet)

Elections for Fall 2014 have concluded. The following people were elected:

President: Jinny Kim (yj7kim) Vice-president: Theo Belaire (tbelaire) Treasurer: Jonathan Bailey (jj2baile) Secretary: Shane Creighton-Young (srcreigh)

The following people were appointed:

Sysadmin: Sean Hunt (scshunt) Office Manager: Mark Farrell (m4farrel) Librarian: Gianni Gambetti (glgambet)

yj7kim
http://csclub.uwaterloo.ca/news/idm578
2021-07-14T03:25:00-04:00

# Elections for Spring 2014 have concluded. The following people were elected: President: Jinny Kim (yj7kim) Vice-president: Luke Franceschini (l3france) Treasurer: Joseph Chouinard (jchouina) Secretary: Ifaz Kabir (ikabir) The Sysadmin and Office Manager were not appointed at the election.

Elections for Spring 2014 have concluded. The following people were elected:

President: Jinny Kim (yj7kim) Vice-president: Luke Franceschini (l3france) Treasurer: Joseph Chouinard (jchouina) Secretary: Ifaz Kabir (ikabir)

The Sysadmin and Office Manager were not appointed at the election.
b2coutts
http://csclub.uwaterloo.ca/news/idm597
2021-07-14T03:25:00-04:00

# Elections for Winter 2014 have concluded. The following people were elected: President: Bryan Coutts (b2coutts) Vice-president: Visha Vijayanand (vvijayan) Treasurer: Marc Burns (m4burns) Secretary: Mark Farrell (m4farrel) The following people were appointed: Sysadmin: Murphy Berzish (mtrberzi) Office Manager: Nicholas Black (nablack)

Elections for Winter 2014 have concluded. The following people were elected:

President: Bryan Coutts (b2coutts) Vice-president: Visha Vijayanand (vvijayan) Treasurer: Marc Burns (m4burns) Secretary: Mark Farrell (m4farrel)

The following people were appointed:

Sysadmin: Murphy Berzish (mtrberzi) Office Manager: Nicholas Black (nablack)

jbroman
http://csclub.uwaterloo.ca/news/idm609
2021-07-14T03:25:00-04:00

# It's been a while since we last ordered shirts for members. As such, we would like to order a new batch, and invite you to supply the design for the shirt! The winning candidate (and possibly some runner-ups) will receive a free shirt in the size of their choice. Please send your submissions to the executive. The deadline will be Nov. 13 at midnight, and winners will be announced by Friday, Nov. 15. At that point, a signup sheet will be made available.

It's been a while since we last ordered shirts for members. As such, we would like to order a new batch, and invite you to supply the design for the shirt! The winning candidate (and possibly some runner-ups) will receive a free shirt in the size of their choice. Please send your submissions to the executive.

The deadline will be Nov. 13 at midnight, and winners will be announced by Friday, Nov. 15. At that point, a signup sheet will be made available.

ehashman
http://csclub.uwaterloo.ca/news/idm626
2021-07-14T03:25:00-04:00

# Bowling has been moved from Oct. 23 to Oct. 30. See the event details for more information.

Bowling has been moved from Oct. 23 to Oct. 30. See the event details for more information.

ehashman
http://csclub.uwaterloo.ca/news/idm630
2021-07-14T03:25:00-04:00

# A number of talks on security and privacy have been planned for this term. Email progcom if you are interested in getting involved. See individual events for more detail.

A number of talks on security and privacy have been planned for this term. Email progcom if you are interested in getting involved. See individual events for more detail.

ehashman
http://csclub.uwaterloo.ca/news/idm633
2021-07-14T03:25:00-04:00

# Is there something that you're particularly passionate about and would like to share with others? Do you want to practice presenting on a topic of interest to the membership? We are accepting proposals for member talks for the Fall 2013 term. Tell us about a project you're really passionate about, or perhaps a theoretical problem you find interesting. Please send a proposed abstract and some possible talk dates to our programme committee and we will get to work on getting your talk scheduled.

Is there something that you're particularly passionate about and would like to share with others? Do you want to practice presenting on a topic of interest to the membership? We are accepting proposals for member talks for the Fall 2013 term. Tell us about a project you're really passionate about, or perhaps a theoretical problem you find interesting.

Please send a proposed abstract and some possible talk dates to our programme committee and we will get to work on getting your talk scheduled.

ehashman
http://csclub.uwaterloo.ca/news/idm636
2021-07-14T03:25:00-04:00

# Congratulations to this term's new executive! President: ehashman Vice-president: m4burns Treasurer: dchlobow Secretary: e45lee Additionally, the following people were appointed. Sysadmin: jbroman Librarian: jladan Office Manager: scshunt

Congratulations to this term's new executive!

President: ehashman Vice-president: m4burns Treasurer: dchlobow Secretary: e45lee

Additionally, the following people were appointed.

Sysadmin: jbroman Librarian: jladan Office Manager: scshunt

jbroman
http://csclub.uwaterloo.ca/news/idm640
2021-07-14T03:25:00-04:00

# Consider attending the Canadian Undergraduate Mathematics Conference in Montreal, Quebec this semester, July 10—14. Funding for transportation and accommodations has been generously provided by MEF, MathSoc, and the Dean's Office. To apply for funding, please fill out this form. If you have any questions, please contact me directly.

Consider attending the Canadian Undergraduate Mathematics Conference in Montreal, Quebec this semester, July 10—14. Funding for transportation and accommodations has been generously provided by MEF, MathSoc, and the Dean's Office. To apply for funding, please fill out this form. If you have any questions, please contact me directly.
ehashman
http://csclub.uwaterloo.ca/news/idm652
2021-07-14T03:25:00-04:00

# Congratulations to this terms new executive! President: srcreigh Vice-president: vvijayan Treasurer: dchlobow Secretary: yj7kim Additionally, the following people were appointed. Sysadmin: a2brenna Office Manager: m4burns The position of librarian has not yet been filled.

Congratulations to this terms new executive!

President: srcreigh Vice-president: vvijayan Treasurer: dchlobow Secretary: yj7kim

Additionally, the following people were appointed.

Sysadmin: a2brenna Office Manager: m4burns

The position of librarian has not yet been filled.
omsmith
http://csclub.uwaterloo.ca/news/idm657
2021-07-14T03:25:00-04:00

# Welcome to Spring 2013! Elections for the Spring term have been set; see above.

Welcome to Spring 2013! Elections for the Spring term have been set; see above.
scshunt
http://csclub.uwaterloo.ca/news/idm669
2021-07-14T03:25:00-04:00

# Elections for Winter 2013 have concluded. The following people were elected. President: a2brenna Vice-president: m4burns Treasurer: jsmumfor Secretary: mgolechn Additionally, the following people were appointed. Sysadmin: sharvey Office Manager: b2coutts Librarian: mimcpher

Elections for Winter 2013 have concluded. The following people were elected.

President: a2brenna Vice-president: m4burns Treasurer: jsmumfor Secretary: mgolechn

Additionally, the following people were appointed.

Sysadmin: sharvey Office Manager: b2coutts Librarian: mimcpher

omsmith
http://csclub.uwaterloo.ca/news/idm672
2021-07-14T03:25:00-04:00

# Due to repeated power failure in the MC building, multiple CSC systems are experiencing critical service interruptions. We apologize for the inconvenience.

Due to repeated power failure in the MC building, multiple CSC systems are experiencing critical service interruptions. We apologize for the inconvenience.
jbroman
http://csclub.uwaterloo.ca/news/idm684
2021-07-14T03:25:00-04:00

# Elections for Fall 2012 will be held on September 13 at 4:00 PM. Nominations will begin on September 6th, and will end 24 hours prior to elections. Nominations may be emailed to cro@csclub.uwaterloo.ca. This term's CRO is Owen Smith (omsmith).

Elections for Fall 2012 will be held on September 13 at 4:00 PM. Nominations will begin on September 6th, and will end 24 hours prior to elections. Nominations may be emailed to cro@csclub.uwaterloo.ca. This term's CRO is Owen Smith (omsmith).

m4burns
http://csclub.uwaterloo.ca/news/idm686
2021-07-14T03:25:00-04:00

# To all of our members who are interested in attending CUMC at UBCO this summer, please remember to apply for funding!

To all of our members who are interested in attending CUMC at UBCO this summer, please remember to apply for funding!

m4burns
http://csclub.uwaterloo.ca/news/idm689
2021-07-14T03:25:00-04:00

# The CSC and AMD are running an OpenCL programming contest! If you're interested in winning a laptop or a graphics card, you should read more and register here. Registration has been reopened for anyone who did not get a chance to register on time, so make sure you sign up!

The CSC and AMD are running an OpenCL programming contest! If you're interested in winning a laptop or a graphics card, you should read more and register here.

Registration has been reopened for anyone who did not get a chance to register on time, so make sure you sign up!

ehashman
http://csclub.uwaterloo.ca/news/idm692
2021-07-14T03:25:00-04:00

# Recorded talks from 2010 to 2012 have been added to the media page.

Recorded talks from 2010 to 2012 have been added to the media page.

m4burns
http://csclub.uwaterloo.ca/news/idm699
2021-07-14T03:25:00-04:00

# Elections for Winter 2012 have concluded. The following people were elected. President: m4burns Vice-president: ehashman Treasurer: j3parker Secretary: mimcpher Additionally, the following people were appointed. Sysadmin: jbroman Office Manager: laden Librarian: jy2wong

Elections for Winter 2012 have concluded. The following people were elected.

President: m4burns Vice-president: ehashman Treasurer: j3parker Secretary: mimcpher

Additionally, the following people were appointed.

Sysadmin: jbroman Office Manager: laden Librarian: jy2wong

jy2wong
http://csclub.uwaterloo.ca/news/idm702
2021-07-14T03:25:00-04:00

# Elections for Fall 2011 have concluded. The following people were elected. President: m4burns Vice-president: kshyatt Treasurer: j3parker Secretary: ehashman Additionally, the following people were appointed. Sysadmin: a2brenna Office Manager: kspaans Librarian: ebering

Elections for Fall 2011 have concluded. The following people were elected.

President: m4burns Vice-president: kshyatt Treasurer: j3parker Secretary: ehashman

Additionally, the following people were appointed.

Sysadmin: a2brenna Office Manager: kspaans Librarian: ebering

ebering
http://csclub.uwaterloo.ca/news/idm714
2021-07-14T03:25:00-04:00

# Nominations for the Fall 2011 exec are closed. Nominees are as follows: President: m4burns, kshyatt, ehashman Vice-president: m4burns, kshyatt Treasurer: j3parker, scshunt, sagervai Secretary: ehashman, kspaans, sagervai Elections will be held Monday, September 19th in the Comfy Lounge (MC 3001) from 4:30PM to 5:30PM. All CSC members that have paid Mathsoc fees are invited to come by and vote. If you are unable to attend but would like to vote please e-mail your ballot to the CRO. Voting will take place by approval voting, so vote for as many people in each race as you like.

Nominations for the Fall 2011 exec are closed. Nominees are as follows:

President: m4burns, kshyatt, ehashman Vice-president: m4burns, kshyatt Treasurer: j3parker, scshunt, sagervai Secretary: ehashman, kspaans, sagervai

Elections will be held Monday, September 19th in the Comfy Lounge (MC 3001) from 4:30PM to 5:30PM. All CSC members that have paid Mathsoc fees are invited to come by and vote. If you are unable to attend but would like to vote please e-mail your ballot to the CRO. Voting will take place by approval voting, so vote for as many people in each race as you like.

ebering
http://csclub.uwaterloo.ca/news/idm726
2021-07-14T03:25:00-04:00

# Nominations for the Fall 2011 exec are open. You can nominate candidates for President, Vice President, Treasurer or Secretary by writing their name on the office whiteboard under the appropriate heading, or by emailing cro@csclub.uwaterloo.ca with their name and position(s). Nominations close Sunday, September 18th at 4:30PM. Elections will be held Monday, September 19th in the Comfy Lounge (MC 3001) from 4:30PM to 5:30PM. All CSC members that have paid Mathsoc fees are invited to come by and vote.

Nominations for the Fall 2011 exec are open. You can nominate candidates for President, Vice President, Treasurer or Secretary by writing their name on the office whiteboard under the appropriate heading, or by emailing cro@csclub.uwaterloo.ca with their name and position(s). Nominations close Sunday, September 18th at 4:30PM.

Elections will be held Monday, September 19th in the Comfy Lounge (MC 3001) from 4:30PM to 5:30PM. All CSC members that have paid Mathsoc fees are invited to come by and vote.

jy2wong
http://csclub.uwaterloo.ca/news/idm735
2021-07-14T03:25:00-04:00

# The results, including appointments, are: President: mthiffau Vice-President: mimcpher Treasurer: kspaans Secretary: akansong Systems Administrator: jbroman Office Manager: jy2wong Librarian: lbovard

The results, including appointments, are:

President: mthiffau Vice-President: mimcpher Treasurer: kspaans Secretary: akansong Systems Administrator: jbroman Office Manager: jy2wong Librarian: lbovard

ebering
http://csclub.uwaterloo.ca/news/idm739
2021-07-14T03:25:00-04:00

# The election is over. The new executive are President: ebering Vice President: jy2wong Treasurer: kspaans Secretary: ehashman Sysadmin: pbarfuss The new Office Manager is m4burns. The new Librarian is asbumste.

The election is over. The new executive are

President: ebering Vice President: jy2wong Treasurer: kspaans Secretary: ehashman Sysadmin: pbarfuss

The new Office Manager is m4burns. The new Librarian is asbumste.
scshunt
http://csclub.uwaterloo.ca/news/idm749
2021-07-14T03:25:00-04:00

# There is a correction in the nominee list. m4burns was nominated for Vice-President, not b4taylor. Apologies. If you cannot attend the meeting, please send a vote to cro@csclub.uwaterloo.ca.

There is a correction in the nominee list. m4burns was nominated for Vice-President, not b4taylor. Apologies.

If you cannot attend the meeting, please send a vote to cro@csclub.uwaterloo.ca.
scshunt
http://csclub.uwaterloo.ca/news/idm756
2021-07-14T03:25:00-04:00

# Nominations have closed at some point. The nominations are as follows: President: ebering Vice President: ssalbiz, jy2wong, m4burns Treasurer: kspaans, qxi, mspang, d2huo, a42ahmed Secretary: kspaans, d2huo, ehashman

Nominations have closed at some point. The nominations are as follows:

President: ebering Vice President: ssalbiz, jy2wong, m4burns Treasurer: kspaans, qxi, mspang, d2huo, a42ahmed Secretary: kspaans, d2huo, ehashman

scshunt
http://csclub.uwaterloo.ca/news/idm757
2021-07-14T03:25:00-04:00

# It has come to my attention that some people believe I previously claimed that nominations close at 3:00 PM. This is false. They close, and have always closed, at 4:30. We have always been at war with Eurasia.

It has come to my attention that some people believe I previously claimed that nominations close at 3:00 PM. This is false. They close, and have always closed, at 4:30. We have always been at war with Eurasia.
scshunt
http://csclub.uwaterloo.ca/news/idm763
2021-07-14T03:25:00-04:00

# Nominations for Winter 2011 executive are now open on the CSC whiteboard. They close at 3:00 PM on Tuesday, January 11. Elections will be held at 4:00 PM on Wednesday, January 12 on the brand-new furniture in the Comfy Lounge. You can also nominate someone or ask any other questions or just complain to cro@csclub.uwaterloo.ca.

Nominations for Winter 2011 executive are now open on the CSC whiteboard. They close at 3:00 PM on Tuesday, January 11. Elections will be held at 4:00 PM on Wednesday, January 12 on the brand-new furniture in the Comfy Lounge.

You can also nominate someone or ask any other questions or just complain to cro@csclub.uwaterloo.ca.
scshunt
http://csclub.uwaterloo.ca/news/idm764
2021-07-14T03:25:00-04:00

# The CSC has been invited to MathSoc's annual Charity Ball. If you are interested in attending with the CSC, please contact Gwynneth Leece gnleece@csclub.uwaterloo.ca. The Charitby Ball costs $20 per person and includes a three-course dinner. It is Saturday November 20th at 6pm.

The CSC has been invited to MathSoc's annual Charity Ball. If you are interested in attending with the CSC, please contact Gwynneth Leece gnleece@csclub.uwaterloo.ca. The Charitby Ball costs $20 per person and includes a three-course dinner. It is Saturday November 20th at 6pm.
ebering
http://csclub.uwaterloo.ca/news/idm766
2021-07-14T03:25:00-04:00

# We experienced a recent power outage which caused the RAID array hosting mirror data to need to be rebuilt. As a result, the mirrored data is temporarily read-only. We hope to resume synchronizing as soon as possible. We apologize for any inconvenience. You can view the reconstruction progress on the mirror's index page

We experienced a recent power outage which caused the RAID array hosting mirror data to need to be rebuilt. As a result, the mirrored data is temporarily read-only. We hope to resume synchronizing as soon as possible. We apologize for any inconvenience.

You can view the reconstruction progress on the mirror's index page
m2ellis
http://csclub.uwaterloo.ca/news/idm768
2021-07-14T03:25:00-04:00

# Elections are over. The results are: President: j3parker Vice President: ebering Treasurer: rjputins Secretary: kspaans Sysadmin: jbroman Office Manager: askhader

Elections are over. The results are:

President: j3parker Vice President: ebering Treasurer: rjputins Secretary: kspaans Sysadmin: jbroman Office Manager: askhader

m2ellis
http://csclub.uwaterloo.ca/news/idm770
2021-07-14T03:25:00-04:00

# Nominations are now closed. The nominations are as follows: President: j3parker, kspaans, jdonland, mspang Vice President: ebering Treasurer: rjputins Secretary: askhader, baldajan, kspaans

Nominations are now closed. The nominations are as follows:

President: j3parker, kspaans, jdonland, mspang Vice President: ebering Treasurer: rjputins Secretary: askhader, baldajan, kspaans

m2ellis
http://csclub.uwaterloo.ca/news/idm778
2021-07-14T03:25:00-04:00

# Time for the election on September 14th has been decided. It will be held at 16:30 in the MC comfy lounge.

Time for the election on September 14th has been decided. It will be held at 16:30 in the MC comfy lounge.
m2ellis
http://csclub.uwaterloo.ca/news/idm784
2021-07-14T03:25:00-04:00

# Nominations for the fall term executives are now open. They will close on Sunday September 12. The election will be held on Tuesday the 14th. To enter a nomination write the name/position on the CSC office whiteboard or send it to cro@csclub.uwaterloo.ca

Nominations for the fall term executives are now open. They will close on Sunday September 12. The election will be held on Tuesday the 14th.

To enter a nomination write the name/position on the CSC office whiteboard or send it to cro@csclub.uwaterloo.ca
m2ellis
http://csclub.uwaterloo.ca/news/idm785
2021-07-14T03:25:00-04:00

# Elections have concluded, congratulations to the new executive: President: Jeff Cameron (j3camero) Vice President: Brennan Taylor (b4taylor) Treasurer: Vardhan Mudunuru (vmudunur) Secretary: Matt Lawrence (m3lawren) Sysadmin: Mike Ellis (m2ells)

Elections have concluded, congratulations to the new executive:

President: Jeff Cameron (j3camero) Vice President: Brennan Taylor (b4taylor) Treasurer: Vardhan Mudunuru (vmudunur) Secretary: Matt Lawrence (m3lawren) Sysadmin: Mike Ellis (m2ells)

ebering
http://csclub.uwaterloo.ca/news/idm787
2021-07-14T03:25:00-04:00

# Nominations for the spring term executive are closed. Nominees are: President: Jeff Cameron (j3camero), Kevin Farnworth (kfarnwor) Vice President: Brennan Taylor (b4taylor) Treasurer: Vardhan Mudunuru (vmudunur) Secretary: Matt Lawrence (m3lawren), Qifan Xi (qxi) Elections will occur as listed in the events section for the two contested positions. If you would like to vote absentee, please send your votes (one vote per position) to the Chief Returning Officer before 5:30 PM EDT on May 11, 2010.

Nominations for the spring term executive are closed. Nominees are:

President: Jeff Cameron (j3camero), Kevin Farnworth (kfarnwor) Vice President: Brennan Taylor (b4taylor) Treasurer: Vardhan Mudunuru (vmudunur) Secretary: Matt Lawrence (m3lawren), Qifan Xi (qxi)

Elections will occur as listed in the events section for the two contested positions. If you would like to vote absentee, please send your votes (one vote per position) to the Chief Returning Officer before 5:30 PM EDT on May 11, 2010.
ebering
http://csclub.uwaterloo.ca/news/idm794
2021-07-14T03:25:00-04:00

# Contest now open! This term's programming contest is now open. Check out the website. The problem is Tron, and there will be prizes offered, but if you want details you should really check the website.

Contest now open! This term's programming contest is now open. Check out the website. The problem is Tron, and there will be prizes offered, but if you want details you should really check the website.
ebering
http://csclub.uwaterloo.ca/news/idm801
2021-07-14T03:25:00-04:00

# Contest Over Congratulations to amstan for taking first place.

Contest Over Congratulations to amstan for taking first place.
ebering
http://csclub.uwaterloo.ca/news/idm806
2021-07-14T03:25:00-04:00

# Contest Still Open! Go to the website now and get to it!

Contest Still Open! Go to the website now and get to it!
ebering
http://csclub.uwaterloo.ca/news/idm810
2021-07-14T03:25:00-04:00

# Do you text... do you iPod? We are looking for volunteers to take part in a study on mobile hand held device use and any related health or comfort troubles experienced during their use. As a participant in this study, you would be asked to fill out a 5-8 minute computer-administered confidential questionnaire. If you would like to participate, please follow this link: http://ithumb.iwh.on.ca/ This study is being conducted by Richard Wells and Sophia Berolo, Department of Kinesiology, and Benjamin Amick, Institute for Work and Health. If you wish more information, please contact Sophia Berolo at sberolo@uwaterloo.ca. The study has been reviewed by, and received ethics clearance through, the office of Research Ethics, University of Waterloo.

Do you text... do you iPod?

We are looking for volunteers to take part in a study on mobile hand held device use and any related health or comfort troubles experienced during their use. As a participant in this study, you would be asked to fill out a 5-8 minute computer-administered confidential questionnaire.

If you would like to participate, please follow this link: http://ithumb.iwh.on.ca/ This study is being conducted by Richard Wells and Sophia Berolo, Department of Kinesiology, and Benjamin Amick, Institute for Work and Health. If you wish more information, please contact Sophia Berolo at sberolo@uwaterloo.ca. The study has been reviewed by, and received ethics clearance through, the office of Research Ethics, University of Waterloo.

mgregson
http://csclub.uwaterloo.ca/news/idm814
2021-07-14T03:25:00-04:00

# Upcoming events: UNIX 101: Need to learn unix for a course, or just to be a ninja? Swing by MC 2037 on Thursday, June 2nd at 4:30PM for a tutorial session. Code Party: Have an assignment or project you need to work on? We will be coding from 7:00pm until 7:00am starting on Friday, June 5th in the Comfy lounge. Join us!

Upcoming events:

UNIX 101: Need to learn unix for a course, or just to be a ninja? Swing by MC 2037 on Thursday, June 2nd at 4:30PM for a tutorial session. Code Party: Have an assignment or project you need to work on? We will be coding from 7:00pm until 7:00am starting on Friday, June 5th in the Comfy lounge. Join us!

j3parker
http://csclub.uwaterloo.ca/news/idm819
2021-07-14T03:25:00-04:00

# Some of the talks from the Winter term are available on the website in the media section, including the IQC talk and video from the lab tours. Joel Spolsky and Richard Stallman's talks are coming soon.

Some of the talks from the Winter term are available on the website in the media section, including the IQC talk and video from the lab tours. Joel Spolsky and Richard Stallman's talks are coming soon.
ebering
http://csclub.uwaterloo.ca/news/idm823
2021-07-14T03:25:00-04:00

# The elections are complete. Your executive for the Spring 2009 term are: President: mspang (Michael Spang) Vice-President: j3paker (Jacob Parker) Treasurer: sagervai (Sapphyre Gervais) Secretary: mimcpher (Matt McPherrin)

The elections are complete. Your executive for the Spring 2009 term are:

President: mspang (Michael Spang) Vice-President: j3paker (Jacob Parker) Treasurer: sagervai (Sapphyre Gervais) Secretary: mimcpher (Matt McPherrin)

kspaans
http://csclub.uwaterloo.ca/news/idm825
2021-07-14T03:25:00-04:00

# Kyle (The CRO) has opened the nominations for positions and set the election date. Elections will be held on Tuesday May 12, 2009 at 4:30 PM in the Comfy Lounge. Nominees and voting policy for the election.

Kyle (The CRO) has opened the nominations for positions and set the election date.

Elections will be held on Tuesday May 12, 2009 at 4:30 PM in the Comfy Lounge. Nominees and voting policy for the election.
kspaans
http://csclub.uwaterloo.ca/news/idm831
2021-07-14T03:25:00-04:00

# CSC Branded Merchindise is now available for purchase here for your owning pleasure.

CSC Branded Merchindise is now available for purchase here for your owning pleasure.
ebering
http://csclub.uwaterloo.ca/news/idm834
2021-07-14T03:25:00-04:00

# The contest is still open and will be until Saturday. For contest details go to the contest website, and come to the code party friday night for some last minute hacking!

The contest is still open and will be until Saturday. For contest details go to the contest website, and come to the code party friday night for some last minute hacking!
ebering
http://csclub.uwaterloo.ca/news/idm836
2021-07-14T03:25:00-04:00

# Richard Stallman's flight has been delayed and he will be arriving in Waterloo later than expected. As a result, the talk has been moved to the Modern Languages Theatre at 6:30PM. Drop by the CSC for more information! Sorry for the confusion!

Richard Stallman's flight has been delayed and he will be arriving in Waterloo later than expected. As a result, the talk has been moved to the Modern Languages Theatre at 6:30PM. Drop by the CSC for more information! Sorry for the confusion!
mgregson
http://csclub.uwaterloo.ca/news/idm838
2021-07-14T03:25:00-04:00

# Holden (The CRO) has opened the nominations for positions and set the election date. Elections will be held on Tuesday January 13, 2009 at 4:30 PM

Holden (The CRO) has opened the nominations for positions and set the election date.

Elections will be held on Tuesday January 13, 2009 at 4:30 PM
b4taylor
http://csclub.uwaterloo.ca/news/idm839
2021-07-14T03:25:00-04:00

# The following people were elected today: President: m3lawren (Matt Lawrence) Vice-president: ebering (Edgar Bering) Treasurer: mgregson (Michael Gregson) Secretary: j2simpso (James Simpson) The following were appointed: Sysadmin: kspaans (Kyle Spaans) Imapd: j2simpso (James Simpson)

The following people were elected today:

President: m3lawren (Matt Lawrence) Vice-president: ebering (Edgar Bering) Treasurer: mgregson (Michael Gregson) Secretary: j2simpso (James Simpson)

The following were appointed:

Sysadmin: kspaans (Kyle Spaans) Imapd: j2simpso (James Simpson)

dtbartle
http://csclub.uwaterloo.ca/news/idm841
2021-07-14T03:25:00-04:00

# New positions were elected on Tuesday. Check the exec section to see who won.

New positions were elected on Tuesday. Check the exec section to see who won.
b4taylor
http://csclub.uwaterloo.ca/news/idm850
2021-07-14T03:25:00-04:00

# Spring 2008 elections will be held on Tuesday May 13th at 4:30pm in the Comfy Lounge. Get your nominations in as soon as possible on the CSC whiteboard! Nominations close 24 hours before the polls open. You can email your nominations to cro@csclub.uwaterloo.ca

Spring 2008 elections will be held on Tuesday May 13th at 4:30pm in the Comfy Lounge. Get your nominations in as soon as possible on the CSC whiteboard! Nominations close 24 hours before the polls open. You can email your nominations to cro@csclub.uwaterloo.ca
dtbartle
http://csclub.uwaterloo.ca/news/idm851
2021-07-14T03:25:00-04:00

# Winter 2008 elections are over; click here to see the new executive and other positions.

Winter 2008 elections are over; click here to see the new executive and other positions.
dtbartle
http://csclub.uwaterloo.ca/news/idm855
2021-07-14T03:25:00-04:00

# The CSClub mirror (mirror.csclub.uwaterloo.ca) is now on the ResNet "don't count" list. This means that downloading software from our mirror will not count against your quota. Click here for a list of Linux distributions and open-source software that we mirror.

The CSClub mirror (mirror.csclub.uwaterloo.ca) is now on the ResNet "don't count" list. This means that downloading software from our mirror will not count against your quota. Click here for a list of Linux distributions and open-source software that we mirror.
dtbartle
http://csclub.uwaterloo.ca/news/idm857
2021-07-14T03:25:00-04:00

# The Fall 2007 election has been scheduled for Sept 20 at 4:30 pm in the comfy lounge.

The Fall 2007 election has been scheduled for Sept 20 at 4:30 pm in the comfy lounge.
dtbartle
http://csclub.uwaterloo.ca/news/idm860
2021-07-14T03:25:00-04:00

# Nominations are now being accepted for Fall 2007 executive positions. Nominiations close on Sept 19 at 4:30 pm. See uw.csc for details.

Nominations are now being accepted for Fall 2007 executive positions. Nominiations close on Sept 19 at 4:30 pm. See uw.csc for details.
dtbartle
http://csclub.uwaterloo.ca/news/idm861
2021-07-14T03:25:00-04:00

# Our talks our now mirrored on mirror.cs for ResNet and on-campus users.

Our talks our now mirrored on mirror.cs for ResNet and on-campus users.
dtbartle
http://csclub.uwaterloo.ca/news/idm863
2021-07-14T03:25:00-04:00

# The executive has been elected for the Spring 2007 term.

The executive has been elected for the Spring 2007 term.
mspang
http://csclub.uwaterloo.ca/news/idm864
2021-07-14T03:25:00-04:00

# The executive has been elected for the Winter 2007 term.

The executive has been elected for the Winter 2007 term.
daltenty
http://csclub.uwaterloo.ca/news/idm866
2021-07-14T03:25:00-04:00

# The executive has been elected for the Fall 2006 term.

The executive has been elected for the Fall 2006 term.
woconnor
http://csclub.uwaterloo.ca/news/idm868
2021-07-14T03:25:00-04:00

# The BeBox lives again. BeOS is a unique operating system from the same era as Windows 95. If you'd like to see it run, port something to it (we have the developement tools!), or just watch the funny lights on the front of it, stop by the office and take a look

The BeBox lives again. BeOS is a unique operating system from the same era as Windows 95. If you'd like to see it run, port something to it (we have the developement tools!), or just watch the funny lights on the front of it, stop by the office and take a look
hkarau
http://csclub.uwaterloo.ca/news/idm870
2021-07-14T03:25:00-04:00

# Larry Smith's talk on Creating Killer applications is now online in our new section (in video :-)).

Larry Smith's talk on Creating Killer applications is now online in our new section (in video :-)).
hkarau
http://csclub.uwaterloo.ca/news/idm871
2021-07-14T03:25:00-04:00

# The CSC executive for Summer 2006 term has been elected.

The CSC executive for Summer 2006 term has been elected.
hkarau
http://csclub.uwaterloo.ca/news/idm873
2021-07-14T03:25:00-04:00

# The CSC executive for Winter 2006 term has been elected.

The CSC executive for Winter 2006 term has been elected.
ddenisen
http://csclub.uwaterloo.ca/news/idm875
2021-07-14T03:25:00-04:00

# The F04 CSC Programming Contest is underway. Go to the website for more information.

The F04 CSC Programming Contest is underway. Go to the website for more information.
jeperry
http://csclub.uwaterloo.ca/news/idm877
2021-07-14T03:25:00-04:00

# The Fall 2004 elections have occured. We have a new executive.

The Fall 2004 elections have occured. We have a new executive.
jeperry
http://csclub.uwaterloo.ca/news/idm879
2021-07-14T03:25:00-04:00

# Here is the audio for Professor Buss' talk: Game Complexity Theorists Ponder, in mp3 format. Enjoy!

Here is the audio for Professor Buss' talk: Game Complexity Theorists Ponder, in mp3 format. Enjoy!
mbiggs
http://csclub.uwaterloo.ca/news/idm881
2021-07-14T03:25:00-04:00

# Audio has been added for the Larry Smith talk: Computing's Next Great Empires. It is available in Ogg format or in MP3 format. Thanks to all who came out. The talk was a great success.

Audio has been added for the Larry Smith talk: Computing's Next Great Empires. It is available in Ogg format or in MP3 format. Thanks to all who came out. The talk was a great success.
zbnichol
http://csclub.uwaterloo.ca/news/idm883
2021-07-14T03:25:00-04:00

# The CSC elections took place and we have a new executive for Spring 2004.

The CSC elections took place and we have a new executive for Spring 2004.
mbiggs
http://csclub.uwaterloo.ca/news/idm886
2021-07-14T03:25:00-04:00

# perpugilliam has been restored, with two new disks courtesy of MathSoc and MEF. There are now disk quotas for users, with a 250 MB soft quota and a 500 MB hard quota, with a 14-day grace period.

perpugilliam has been restored, with two new disks courtesy of MathSoc and MEF. There are now disk quotas for users, with a 250 MB soft quota and a 500 MB hard quota, with a 14-day grace period.
sfllaw
http://csclub.uwaterloo.ca/news/idm888
2021-07-14T03:25:00-04:00

# carbonated-water is back up. It now runs as the backup mail exchange and also serves a a slave LDAP server. What this means is that if perpugilliam goes down, your mail will not be dropped and you'll still be able to login to other machines.

carbonated-water is back up. It now runs as the backup mail exchange and also serves a a slave LDAP server. What this means is that if perpugilliam goes down, your mail will not be dropped and you'll still be able to login to other machines.
sfllaw
http://csclub.uwaterloo.ca/news/idm890
2021-07-14T03:25:00-04:00

# perpugilliam will be going down for hardware upgrades on 2004-04-16 to 2004-04-19. We thank MathSoc and MEF for their generous support in purchasing this hardware, and apologise for any inconvenience this downtime will cause.

perpugilliam will be going down for hardware upgrades on 2004-04-16 to 2004-04-19. We thank MathSoc and MEF for their generous support in purchasing this hardware, and apologise for any inconvenience this downtime will cause.
sfllaw
http://csclub.uwaterloo.ca/news/idm893
2021-07-14T03:25:00-04:00

# Pictures of CTRL-D are available in the gallery.

Pictures of CTRL-D are available in the gallery.
mbiggs
http://csclub.uwaterloo.ca/news/idm895
2021-07-14T03:25:00-04:00

# glucose-fructose is back on-line. It has a new 120 GB hard disk, a new power supply, and an nVidia GeForce FX 5900.

glucose-fructose is back on-line. It has a new 120 GB hard disk, a new power supply, and an nVidia GeForce FX 5900.
sfllaw
http://csclub.uwaterloo.ca/news/idm897
2021-07-14T03:25:00-04:00

# glucose-fructose will be going down for hardware upgrades on 2004-04-02 for an indeterminate amount of time. We thank MathSoc and MEF for their generous support in purchasing this hardware, and apologise for any inconvenience this downtime will cause.

glucose-fructose will be going down for hardware upgrades on 2004-04-02 for an indeterminate amount of time. We thank MathSoc and MEF for their generous support in purchasing this hardware, and apologise for any inconvenience this downtime will cause.
sfllaw
http://csclub.uwaterloo.ca/news/idm899
2021-07-14T03:25:00-04:00

# Kernighan came to Waterloo, and the Computer Science Club got our books signed by him. Not only that, but we took photographs of him too.

Kernighan came to Waterloo, and the Computer Science Club got our books signed by him. Not only that, but we took photographs of him too.
sfllaw
http://csclub.uwaterloo.ca/news/idm901
2021-07-14T03:25:00-04:00

# The books that we purchased have arrived. Now we have two books that can be signed by Kernighan when he comes.

The books that we purchased have arrived. Now we have two books that can be signed by Kernighan when he comes.
sfllaw
http://csclub.uwaterloo.ca/news/idm903
2021-07-14T03:25:00-04:00

# We voted 15 to 0 to 0 in favour of changing the constitution to follow MathSoc policy. An updated copy of the document is now online.

We voted 15 to 0 to 0 in favour of changing the constitution to follow MathSoc policy. An updated copy of the document is now online.
sfllaw
http://csclub.uwaterloo.ca/news/idm904
2021-07-14T03:25:00-04:00

# perpugilliam went down over the weekend due to a failing disk. Please back up all your important data as it is starting to go bad. We are trying to acquire a replacement.

perpugilliam went down over the weekend due to a failing disk. Please back up all your important data as it is starting to go bad. We are trying to acquire a replacement.
sfllaw
http://csclub.uwaterloo.ca/news/idm906
2021-07-14T03:25:00-04:00

# carbonated-water, h2o, is back down. It's awaiting a new power supply.

carbonated-water, h2o, is back down. It's awaiting a new power supply.
sfllaw
http://csclub.uwaterloo.ca/news/idm908
2021-07-14T03:25:00-04:00

# The CSC elections took place and we have a new executive for Winter 2004.

The CSC elections took place and we have a new executive for Winter 2004.
sfllaw
http://csclub.uwaterloo.ca/news/idm911
2021-07-14T03:25:00-04:00

# The CSC elections took place and we have a new executive for Fall 2003.

The CSC elections took place and we have a new executive for Fall 2003.
sfllaw
http://csclub.uwaterloo.ca/news/idm913
2021-07-14T03:25:00-04:00

# carbonated-water, h2o, is back up. It's a great machine for reading mail on.

carbonated-water, h2o, is back up. It's a great machine for reading mail on.
ja2morri
http://csclub.uwaterloo.ca/news/idm915
2021-07-14T03:25:00-04:00

# The CSC Procedures manual has been added to the website. Thanks go to Shannon Mann for reminding us of this document.

The CSC Procedures manual has been added to the website. Thanks go to Shannon Mann for reminding us of this document.
ja2morri
http://csclub.uwaterloo.ca/news/idm918
2021-07-14T03:25:00-04:00

# We've finally gotten around to disabling accounts. If you find your account has been improperly disabled please email the executive. We are keeping a back up of the files and mail for each disabled account for a short period of time.

We've finally gotten around to disabling accounts. If you find your account has been improperly disabled please email the executive. We are keeping a back up of the files and mail for each disabled account for a short period of time.
ja2morri
http://csclub.uwaterloo.ca/news/idm920
2021-07-14T03:25:00-04:00

# Jim Elliott gave a great talk for the CSC yesterday and has put his slides online. http://www.vm.ibm.com/devpages/jelliott/events

Jim Elliott gave a great talk for the CSC yesterday and has put his slides online.

http://www.vm.ibm.com/devpages/jelliott/events
ja2morri
http://csclub.uwaterloo.ca/news/idm922
2021-07-14T03:25:00-04:00

# We have been notified by the Guelph Computer Club that they are unable to host our group event. Sorry for the inconvenience.

We have been notified by the Guelph Computer Club that they are unable to host our group event. Sorry for the inconvenience.
sfllaw
http://csclub.uwaterloo.ca/news/idm925
2021-07-14T03:25:00-04:00

# We have a new computer called glucose-fructose, or sugar for short. As a result, carbonated-water is temporarily out of service, although it should return within a month.

We have a new computer called glucose-fructose, or sugar for short. As a result, carbonated-water is temporarily out of service, although it should return within a month.
sfllaw
http://csclub.uwaterloo.ca/news/idm926
2021-07-14T03:25:00-04:00

# The CSC elections took place and we have a new executive for Spring 2003.

The CSC elections took place and we have a new executive for Spring 2003.
sjdutoit
http://csclub.uwaterloo.ca/news/idm930
2021-07-14T03:25:00-04:00

# The CSC elections took place and we have a new executive for Winter 2003.

The CSC elections took place and we have a new executive for Winter 2003.
sfllaw
http://csclub.uwaterloo.ca/news/idm932
2021-07-14T03:25:00-04:00

# Due to lack of time for preparation, the Romp Through The Linux Kernel talks were cancelled. Sorry for the inconvenience. Hopefully these talks will happen next term.

Due to lack of time for preparation, the Romp Through The Linux Kernel talks were cancelled. Sorry for the inconvenience. Hopefully these talks will happen next term.
sjdutoit
http://csclub.uwaterloo.ca/news/idm934
2021-07-14T03:25:00-04:00

# The business meeting of 2002-09-30 was concluded and the constitutional change was approved with a 14:2 majority (and one spoiled ballot). See the new constitution.

The business meeting of 2002-09-30 was concluded and the constitutional change was approved with a 14:2 majority (and one spoiled ballot). See the new constitution.
sjdutoit
http://csclub.uwaterloo.ca/news/idm935
2021-07-14T03:25:00-04:00

# The Fall elections have occured and the results are in.

The Fall elections have occured and the results are in.
sjdutoit
http://csclub.uwaterloo.ca/news/idm938
2021-07-14T03:25:00-04:00

# We've changed to the new site! Please send your comments to the webmaster. The old site is still available. A few things may not be working quite right yet, but I'm working on it.

We've changed to the new site! Please send your comments to the webmaster. The old site is still available. A few things may not be working quite right yet, but I'm working on it.
sjdutoit
http://csclub.uwaterloo.ca/news/idm940
2021-07-14T03:25:00-04:00

# Added books! About 2.5 shelves are there, minus a whole lot that weren't readily accessible from the Library of Congress. Getting all of the books on there is going to be a tough job. These are, by the way, managed by good-old (or new?) CEO. Thanks to Ryan Golbeck and Petio for their hard work getting ISBN numbers onto disc.

Added books! About 2.5 shelves are there, minus a whole lot that weren't readily accessible from the Library of Congress. Getting all of the books on there is going to be a tough job. These are, by the way, managed by good-old (or new?) CEO. Thanks to Ryan Golbeck and Petio for their hard work getting ISBN numbers onto disc.
sjdutoit
http://csclub.uwaterloo.ca/news/idm943
2021-07-14T03:25:00-04:00

# Added a bunch of old events and some documents, including the constitution.

Added a bunch of old events and some documents, including the constitution.
sjdutoit
http://csclub.uwaterloo.ca/news/idm945
2021-07-14T03:25:00-04:00

# Added the membership list. Old events are working. Event terms, as well as the current term are determined automagically now. Lots of work done. Some more stubs up (office etc.). And I introduce cow - that is, the CSC Ontological Webalizer - which is just a wrapper around libxslt with some extra xpath functions. It is now what is being used to build the site, instead of xsltproc.

Added the membership list. Old events are working. Event terms, as well as the current term are determined automagically now. Lots of work done. Some more stubs up (office etc.). And I introduce cow - that is, the CSC Ontological Webalizer - which is just a wrapper around libxslt with some extra xpath functions. It is now what is being used to build the site, instead of xsltproc.
sjdutoit
http://csclub.uwaterloo.ca/news/idm948
2021-07-14T03:25:00-04:00

# About/Memberlist stub up. Made the CSC logo gold. Isn't it nifty?

About/Memberlist stub up. Made the CSC logo gold. Isn't it nifty?
sjdutoit
http://csclub.uwaterloo.ca/news/idm951
2021-07-14T03:25:00-04:00

# XML goodness.

XML goodness.
sjdutoit
http://csclub.uwaterloo.ca/news/idm952
2021-07-14T03:25:00-04:00